
Distribution EOLE - Tâche #35766

Scénario # 35641 (Terminé (Sprint)): Préparation EOLE 2.10 basé sur Ubuntu 24.04 (Noble Numbat)

EOLE 2.10 : remplacer py.test par pytest dans tous les tests unitaires

12/02/2024 18:06 - Joël Cuissinat

Statut: Fermé Début: 12/02/2024

Priorité: Normal Echéance:  

Assigné à: Joël Cuissinat % réalisé: 100%

Version cible: Livraison MENSR 31/03/2024 Temps estimé: 0.00 heure

  Temps passé: 0.00 heure

Description

>>> from py.test import raises 

Traceback (most recent call last):

  File "<stdin>", line 1, in <module>

ModuleNotFoundError: No module named 'py.test'; 'py' is not a package

>>> 

>>> from pytest import raises 

>>>

Demandes liées:

Lié à Distribution EOLE - Tâche #35775: EOLE 2.10 : Revoir les paquets qui gé... Fermé 20/02/2024

Lié à Distribution EOLE - Tâche #29369: Les tests creole 2.7 sont tous en err... Fermé 09/12/2019

Révisions associées

Révision 65b8cedb - 15/02/2024 13:33 - Joël Cuissinat

creole-tests : py.test → pytest

Ref: #35766

Révision 0e52e923 - 15/02/2024 13:43 - Joël Cuissinat

pyeole-tests : py.test → pytest

Ref: #35766

Révision 0ca10c28 - 15/02/2024 13:46 - Joël Cuissinat

amon-tests : py.test → pytest

Ref: #35766

Révision 6bd91839 - 15/02/2024 13:49 - Joël Cuissinat

tests dhcp : py.test → pytest

Ref: #35766

Révision 472704f8 - 15/02/2024 13:50 - Joël Cuissinat

era-tests : py.test → pytest

Ref: #35766
Révision fd8cd900 - 15/02/2024 13:51 - Joël Cuissinat

tests eole-sso : py.test → pytest

Ref: #35766

Révision dd27ea9b - 15/02/2024 13:52 - Joël Cuissinat

scribe-tests : py.test → pytest

Ref: #35766

Révision 77350172 - 19/02/2024 17:52 - Joël Cuissinat

fix(debian) : clean old python dependencies

Ref: #35766

Révision 59d9a657 - 20/02/2024 09:06 - Joël Cuissinat

fix(debian) : update python dependencies

Ref: #35766

Révision 946a544a - 20/02/2024 09:09 - Joël Cuissinat

fix(debian) : clean old python dependencies

Ref: #35766

Révision bb487471 - 20/02/2024 09:24 - Joël Cuissinat

Merge branch '2.9.0/master'

Conflicts:

tests/test_eolegroup.py

tests/test_scribe.py

Ref: #35766

Révision 06bb7ab6 - 07/03/2024 12:15 - Joël Cuissinat

fix(dico): Update Indianapolis zoneinfo path

Ref: #35766

Révision ba64b79a - 07/03/2024 12:27 - Joël Cuissinat

fix(dico): update nut available drivers list

Ref: #35766
Révision 21293ee3 - 07/03/2024 12:43 - Joël Cuissinat

fix(tests): containers.disknods.disknod0.major is set to 252 on EOLE 2.10

Ref: #35766

Historique

#1 - 15/02/2024 13:46 - Joël Cuissinat

- Statut changé de Nouveau à En cours

#2 - 15/02/2024 13:46 - Joël Cuissinat

- Description mis à jour

- Assigné à mis à Joël Cuissinat

#3 - 15/02/2024 13:54 - Joël Cuissinat

- Statut changé de En cours à À valider

#4 - 19/02/2024 17:54 - Joël Cuissinat

creole     2.10.0-1

python-pyeole     2.10.0-2

amon-backend     2.10.0-1

eole-dhcp     2.10.0-1

era           2.10.0-2

eole-sso      2.10.0-1

scribe-backend      2.10.0-1

scribe-backend$ git branch -r --contains 1efb22a0 

  origin/dist/eole/2.10.0/master

  origin/dist/eole/2.9.0/master

#5 - 20/02/2024 09:58 - Joël Cuissinat

- Statut changé de À valider à Résolu

- % réalisé changé de 0 à 100

Fait sauf eole-sso et era => #35775

#6 - 20/02/2024 09:59 - Joël Cuissinat

- Lié à Tâche #35775: EOLE 2.10 : Revoir les paquets qui généraient encore du code python2 en 2.9 : eole-sso et era ajouté

#7 - 07/03/2024 12:38 - Joël Cuissinat
https://dev-eole.ac-dijon.fr/issues/35775


- Lié à Tâche #29369: Les tests creole 2.7 sont tous en erreur (containers.disknods.disknod0.minor) ajouté

#8 - 21/03/2024 11:59 - Joël Cuissinat

- Statut changé de Résolu à Fermé

- Restant à faire (heures) mis à 0.0
